const logger = require('@/utils/logger');
const config = require('@/config').value;

module.exports = async (ctx, next) => {
    if (config.router_print) {
        logger.info(`${ctx.url}, user IP: ${ctx.ips[0] || ctx.ip.split(':').pop()}`);
    }

    ctx.set({
        'Access-Control-Allow-Origin': config.allowOrigin || ctx.host,
        "Access-Control-Allow-Headers": config.headers || "*"
    });

    await next();

    if (ctx.status === 404) {
        ctx.body = { code: 404, message: 'Not Found' };
        return;
    }

    const status = (ctx.status / 100) | 0;
    if (2 !== status) {
        return;
    }
};
