const jsonwebtoken = require("jsonwebtoken");
const config = require('@/config').value;

function sign(user_payload, expires) {
    return jsonwebtoken.sign(user_payload, config.jwt.secret, { expiresIn: expires || config.jwt.expires });
}

function verify(token) {
    const user_payload = jsonwebtoken.verify(token, config.jwt.secret);
    return user_payload;
}

function decode(token) {
    return jsonwebtoken.decode(token);
}

// sign user
module.exports = {
    sign, verify, decode
};