const Joi = require('joi');

function validateObject(object = {}, schema) {
    if (schema) {
        const { error } = Joi.object(schema).validate(object);
        if (error) {
            throw new Error(String(error.message));
        }
    }
}

function validate(validationObj) {
    // Return a Koa middleware function
    return (ctx, next) => {
        try {
            let obj = {};
            if (Object.keys(ctx.request.body).length) {
                obj = ctx.request.body;
            } else if (Object.keys(ctx.request.query).length) {
                obj = ctx.request.query;
            }

            if (Object.keys(obj).length) {
                validateObject(obj, validationObj);
            }

            return next();
        } catch (err) {
            ctx.res.fail({ message: err.message });
        }
    };
}

module.exports = validate;